# Installation
> `npm install --save @types/react-animate-on-scroll`

# Summary
This package contains type definitions for react-animate-on-scroll (https://github.com/dbramwell/react-animate-on-scroll).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-animate-on-scroll.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-animate-on-scroll/index.d.ts)
````ts
import * as React from "react";

export interface ScrollAnimationProps {
    animateIn?: string | undefined;
    animateOut?: string | undefined;
    children?: React.ReactNode;
    offset?: number | undefined;
    duration?: number | undefined;
    delay?: number | undefined;
    initiallyVisible?: boolean | undefined;
    animateOnce?: boolean | undefined;
    style?: object | undefined;
    scrollableParentSelector?: string | undefined;
    className?: string | undefined;
    animatePreScroll?: boolean | undefined;
    afterAnimatedOut?: (visibile: VisibleType) => {} | undefined;
    afterAnimatedIn?: (visibile: VisibleType) => {} | undefined;
}

export interface VisibleType {
    inViewport: boolean;
    onScreen: boolean;
}

export default class ScrollAnimation extends React.Component<ScrollAnimationProps> {
    constructor(props: ScrollAnimationProps);
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Ricardo Albuquerque](https://github.com/ralbuque).
